using TraceSource = System.Diagnostics.TraceSource;

namespace Implab.Diagnostics {

    /// <summary>
    /// Trace channel which incapsulates <see cref="System.Diagnostics.TraceSource"/> instance.
    /// </summary>
    public class TraceSourceChannel : TraceChannel {
        readonly TraceSource m_trace;

        public TraceSourceChannel() : base(new object()) {
        }

        public TraceSourceChannel(object id) : base(id) {
        }

        public TraceSourceChannel(object id, string name) : base(id) {
            m_trace = new TraceSource(name);
        }

        public TraceSource Source {
            get {
                return m_trace;
            }
        }
    }
}